Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class SetCriteria

    java.lang.Object
      org.modeshape.graph.query.model.SetCriteria

All Implemented Interfaces:
  Serializable, Constraint, LanguageObject, Visitable

Direct Known Subclasses:
  JcrSetCriteria

    @Immutable
    public class SetCriteria

extends Object
implements Constraint

A constraint that evaluates to true when the defined operation evaluates to true.

See Also:
  Serialized Form

Constructor Summary
`SetCriteria(DynamicOperand left, Collection<? extends StaticOperand> setOperands)`
`SetCriteria(DynamicOperand left, StaticOperand... setOperands)`

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`DynamicOperand` | `leftOperand()` Get the dynamic operand to which the set constraint applies
`Collection<? extends StaticOperand>` | `rightOperands()` Get the collection of static operands defining the constrained values.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetCriteria

    public SetCriteria(DynamicOperand left,
                       Collection<? extends StaticOperand> setOperands)

### SetCriteria

    public SetCriteria(DynamicOperand left,
                       StaticOperand... setOperands)

Method Detail

### leftOperand

    public final DynamicOperand leftOperand()

  Get the dynamic operand to which the set constraint applies

  Returns:
    the dynamic operand; never null

### rightOperands

    public final Collection<? extends StaticOperand> rightOperands()

  Get the collection of static operands defining the constrained values.

  Returns:
    the right-hand-side static operands; never null and never empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.